if not exists (select * from 业务_在线监测系统)
begin
	---初始化业务_在线监测系统(废气)
	insert into dbo.业务_在线监测系统 (id,监测年,企业类型,企业代码,
	监测点代码,监测系统名称,安装位置,是否连网)
	select distinct replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','') as id,
	a.监测年,a.企业类型,a.企业代码,a.监测点代码,b.监测点名称+'出口' as 监测系统名称,'出口' as 安装位置,'1' as 是否连网
	from 业务_在线监测设备 as a inner join 业务_废气监测点信息 as b 
	on a.监测年=b.监测年 and a.企业代码=b.企业代码 and a.企业类型=b.企业类型 and a.监测点代码=b.监测点代码 and a.监测点名称='废气-'+b.监测点名称
	where LEFT(a.监测点代码,2)='FQ' and --replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','')
	not exists (select id from 业务_在线监测系统 where 监测年=a.监测年 and 企业代码=a.企业代码 and 监测点代码=a.监测点代码 and 企业类型=a.企业类型 and 监测系统名称=b.监测点名称+'出口')

	---初始化业务_在线监测系统(废水)
	insert into dbo.业务_在线监测系统 (id,监测年,企业类型,企业代码,
	监测点代码,监测系统名称,安装位置,是否连网)
	select distinct replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','') as id,
	a.监测年,a.企业类型,a.企业代码,a.监测点代码,b.监测点名称+'出口' as 监测系统名称,'出口' as 安装位置,'1' as 是否连网
	from 业务_在线监测设备 as a inner join 业务_废水排口信息 as b 
	on a.监测年=b.监测年 and a.企业代码=b.企业代码 and a.企业类型=b.企业类型 and a.监测点代码=b.监测点代码 and a.监测点名称='废水-'+b.监测点名称
	where LEFT(a.监测点代码,2)='WS' and --replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','')
	not exists (select id from 业务_在线监测系统 where 监测年=a.监测年 and 企业代码=a.企业代码 and 监测点代码=a.监测点代码 and 企业类型=a.企业类型 and 监测系统名称=b.监测点名称+'出口')

	---初始化业务_在线监测系统(污水处理厂)
	insert into dbo.业务_在线监测系统 (id,监测年,企业类型,企业代码,
	监测点代码,监测系统名称,安装位置,是否连网)
	select distinct replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','') as id,
	a.监测年,a.企业类型,a.企业代码,a.监测点代码,'污水处理厂出口' as 监测系统名称,'出口' as 安装位置,'1' as 是否连网
	from 业务_在线监测设备 as a inner join 业务_污水处理厂信息 as b 
	on a.监测年=b.监测年 and a.企业代码=b.企业代码 and a.企业类型=2 and a.监测点代码='0' and a.监测点名称=b.企业代码
	where --replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','')
	not exists (select id from 业务_在线监测系统 where 监测年=a.监测年 and 企业代码=a.企业代码 and 监测点代码=a.监测点代码 and 企业类型=a.企业类型 and 监测系统名称='污水处理厂出口')


	--更新在线监测系统集成生产厂家和监测系统型号(只更新废气)
	update 业务_在线监测系统 set 集成厂家=a.生产厂家,监测系统型号=a.监测设备型号
	from 业务_在线监测设备 as a where LEFT(a.监测点代码,2)='FQ' and id=replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','')

	--更新在线监测系统集成生产厂家和监测系统型号(更新废水和污水厂为空值)
	update 业务_在线监测系统 set 集成厂家='',监测系统型号=''
	from 业务_在线监测设备 as a where (LEFT(a.监测点代码,2)='WS' or a.监测点代码='0') and id=replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','')

	--初始化业务_在线监测系统_项目
	insert into dbo.业务_在线监测系统_项目
	(id,监测系统ID号,监测项目编号)
	select replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码+'-'+监测项目代码+'-'+监测设备代码,' ','') as id,
	replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码,' ','') as 监测系统ID号,监测项目代码
	from 业务_在线监测设备
	where replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码+'-'+监测项目代码+'-'+监测设备代码,' ','')
	not in (select id from 业务_在线监测系统_项目)

	--初始化业务_在线监测系统_项目(废水添加流量)
	insert into dbo.业务_在线监测系统_项目(id,监测系统ID号,监测项目编号)
	select newid(),id,'流量' from 业务_在线监测系统 where left(监测点代码,2)='WS'
	and not exists (select * from 业务_在线监测系统_项目 where 监测系统ID号=业务_在线监测系统.id and 监测项目编号='流量')


	--初始化业务_在线监测系统_项目(污水厂添加流量)
	insert into dbo.业务_在线监测系统_项目(id,监测系统ID号,监测项目编号)
	select newid(),id,'流量' from 业务_在线监测系统 where 企业类型='2'
	and not exists (select * from 业务_在线监测系统_项目 where 监测系统ID号=业务_在线监测系统.id and 监测项目编号='流量')

	--初始化业务_在线监测系统_项目(废气添加流速、含氧量、烟气温度、烟气湿度)
	insert into dbo.业务_在线监测系统_项目(id,监测系统ID号,监测项目编号)
	select newid(),id,'流速' from 业务_在线监测系统 where left(监测点代码,2)='FQ'
	and not exists (select * from 业务_在线监测系统_项目 where 监测系统ID号=业务_在线监测系统.id and 监测项目编号='流速')

	insert into dbo.业务_在线监测系统_项目(id,监测系统ID号,监测项目编号)
	select newid(),id,'含氧量' from 业务_在线监测系统 where left(监测点代码,2)='FQ'
	and not exists (select * from 业务_在线监测系统_项目 where 监测系统ID号=业务_在线监测系统.id and 监测项目编号='含氧量')

	insert into dbo.业务_在线监测系统_项目(id,监测系统ID号,监测项目编号)
	select newid(),id,'烟气温度' from 业务_在线监测系统 where left(监测点代码,2)='FQ'
	and not exists (select * from 业务_在线监测系统_项目 where 监测系统ID号=业务_在线监测系统.id and 监测项目编号='烟气温度')

	insert into dbo.业务_在线监测系统_项目(id,监测系统ID号,监测项目编号)
	select newid(),id,'烟气湿度' from 业务_在线监测系统 where left(监测点代码,2)='FQ'
	and not exists (select * from 业务_在线监测系统_项目 where 监测系统ID号=业务_在线监测系统.id and 监测项目编号='烟气湿度')

	---将污水处理厂得自动监测项目进行初始化----
	update 业务_污水处理厂污染物信息 set 是否安装在线监测设备=1
	from dbo.业务_在线监测设备 as b 
	where 业务_污水处理厂污染物信息.监测年=b.监测年
	and 业务_污水处理厂污染物信息.企业代码=b.企业代码
	and 业务_污水处理厂污染物信息.监测项目编号=b.监测项目代码

	--更新在线监测系统项目生产厂家和监测设备型号(只更新废水)，WS是污染源中的废水，监测点代码=0代表的是污水处理厂
	update 业务_在线监测系统_项目 set 设备生产厂家=a.生产厂家,监测设备型号=a.监测设备型号
	from 
	( 
		select distinct b.id,a.监测项目代码,a.监测设备型号,a.生产厂家 from 业务_在线监测设备 as a 
		inner join 业务_在线监测系统 as b on replace(convert(nvarchar(50),a.监测年)+'-'+a.企业代码+'-'+a.监测点代码,' ','')=b.id
		where (LEFT(a.监测点代码,2)='WS' or a.监测点代码='0')      
	) as a where 业务_在线监测系统_项目.监测系统ID号=a.id and 业务_在线监测系统_项目.监测项目编号=a.监测项目代码
end
go

--在线监测系统设备需求变更，以下代码作废
---初始化业务_在线监测系统设备
--insert into dbo.业务_在线监测系统设备
--(id,监测系统ID号,监测设备名称,监测设备型号,设备生产厂家)
--select  replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码+'-'+监测项目代码+'-'+监测设备代码,' ','') as id,
--replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码,' ','') as 监测系统ID号,
--监测设备名称,监测设备型号,生产厂家 from 业务_在线监测设备
--where replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码+'-'+监测项目代码+'-'+监测设备代码,' ','')
--not in (select id from 业务_在线监测系统设备)
--go
---初始化业务_在线监测设备项目
--insert into dbo.业务_在线监测设备项目
--select  replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码+'-'+监测项目代码+'-'+监测设备代码,' ','') as id,replace(convert(nvarchar(50),监测年)+企业代码+监测点代码,' ','') as 监测系统ID号,
--replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码+'-'+监测项目代码+'-'+监测设备代码,' ','') as 监测设备id号,
--监测项目代码 
--from 业务_在线监测设备
--where replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码+'-'+监测项目代码+'-'+监测设备代码,' ','')
--not in (select id from 业务_在线监测设备项目)
--go

----初始化  业务_废气在线比对
update 业务_废气在线比对
set 监测系统ID=replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码,' ','')
where 监测系统ID is null
--from dbo.业务_在线监测设备 as b
--where 业务_废气在线比对.监测年=b.监测年
--and 业务_废气在线比对.企业代码=b.企业代码
--and 业务_废气在线比对.监测点代码=b.监测点代码
--and 业务_废气在线比对.监测项目编号=b.监测项目代码
go
----将业务_废气在线比对中的监测项目由“温度”改为“烟气温度”
update 业务_废气在线比对
set 监测项目编号='烟气温度' where 监测项目编号='温度'
go

----初始化  业务_废水在线比对
update 业务_废水在线比对
set 监测系统ID=replace(convert(nvarchar(50),监测年)+'-'+企业代码+'-'+监测点代码,' ','')
where 监测系统ID is null
--from dbo.业务_在线监测设备 as b
--where 业务_废水在线比对.监测年=b.监测年
--and 业务_废水在线比对.企业代码=b.企业代码
--and 业务_废水在线比对.监测点代码=b.监测点代码
--and 业务_废水在线比对.监测项目编号=b.监测项目代码
go